Skip to main content
`Ctrl`+`K`

# DiGraph.out_degree

property DiGraph.out_degree

  An OutDegreeView for (node, out_degree)

  The node out_degree is the number of edges pointing out of the node. The weighted node degree is the sum of the edge weights for edges incident to that node.

  This object provides an iterator over (node, out_degree) as well as lookup for the degree for a single node.

  Parameters:
    nbunch single node, container, or all nodes (default= all nodes)

      The view will only report edges incident to these nodes.

    weight string or None, optional (default=None)

      The name of an edge attribute that holds the numerical value used as a weight. If None, then each edge has weight 1. The degree is the sum of the edge weights adjacent to the node.

  Returns:
    If a single node is requested
    deg int

      Out-degree of the node

    OR if multiple nodes are requested
    nd_iter iterator

      The iterator returns two-tuples of (node, out-degree).

  See also

  `degree`, `in_degree`

  Examples

      >>> G = nx.DiGraph()
      >>> nx.add_path(G, [0, 1, 2, 3])
      >>> G.out_degree(0)  # node 0 with degree 1
      1
      >>> list(G.out_degree([0, 1, 2]))
      [(0, 1), (1, 1), (2, 1)]